import request from '@/apps/mobile/utils/request';

// 评论管理 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/expertComments/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/expertComments/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/expertComments/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/expertComments/update',
        data,
    });
}

// 批量显示
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/expertComments/useBath',
        data,
    });
}

// 批量屏蔽
export function noUseBath(data) {
    return request({
        method: 'post',
        url: '/api/expertComments/noUseBath',
        data,
    });
}
